<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_490fedd0c33685bd3a9" . "2a23dfbdbe38c" => base64_decode("JyBDb25maWdWYWx1Z" . "SB0byBzdHJpbmc="), "_6596b8f6a4969f9a3f6a1b22b90e" . "9331" => base64_decode("c3ByaW50" . "Zg=="), "_5a13027a56ff426a18806ba" . "f1e53ce74" => base64_decode("Q29uZmlnVmFsdWU" . "gJw=="), "_3758af61703edea17" . "ee38fab15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb" . "2YgV3JpdGFibGVDb25maWc="), "_44b97fb" . "00c5dc62" . "04a2e8b4" . "6429ce10" . "9" => base64_decode("aXNfc3RyaW5nY" . "WJsZQ=="), "_835783a340b" . "626fa250ace4" . "c8d8249f7" => base64_decode("VW5hYmxlIHRvIGNhc3QgJ" . "w=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5a13027a56" . "ff426a18806" . "baf1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3758af6170" . "3edea17ee38" . "fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_44b97fb00c5dc6204a2e8b46429ce1" . "09"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_835783a3" . "40b626fa2" . "50ace4c8d" . "8249f7"] . $this->key . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_490fedd0c33685bd3a92a23dfbdbe" . "38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6596b8f6a496" . "9f9a3f6a1b22b" . "90e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}